• Global community
    • Language:
      • Deutsch
      • English
      • Español
      • Français
      • Português
  • 日本語コミュニティ
    Dedicated community for Japanese speakers
  • 한국 커뮤니티
    Dedicated community for Korean speakers

Extract API: BAD_PDF

New Here ,
Oct 03, 2022 Oct 03, 2022

Copy link to clipboard

Copied

While running extract API for the following PDF I get BAD_PDF error.

The PDF is correctly viewed on differen PDF viewers without any error.

Pdf file:

https://www.tuigroup.com/damfiles/default/tuigroup-15/en/investors/6_Reports-and-presentations/Repor...

 

Full traceback:

2022-10-03 14:20:26,509 INFO extract_pdf_operation:129.execute - All validations successfully done. Beginning ExtractPDF operation execution
Traceback (most recent call last):
  File "/home/user/.pyenv/versions/cai-backend/lib/python3.10/site-packages/adobe/pdfservices/operation/pdfops/extract_pdf_operation.py", line 134, in execute
    ExtractPDFAPI.download_and_save(location=location, context=execution_context, file_location=file_location)
  File "/home/user/.pyenv/versions/cai-backend/lib/python3.10/site-packages/adobe/pdfservices/operation/internal/service/extract_pdf_api.py", line 48, in download_and_save
    response = CPFApi.cpf_status_api(location, context)
  File "/home/user/.pyenv/versions/cai-backend/lib/python3.10/site-packages/adobe/pdfservices/operation/internal/api/cpf_api.py", line 86, in cpf_status_api
    response = polling2.poll(
  File "/home/user/.pyenv/versions/cai-backend/lib/python3.10/site-packages/polling2.py", line 191, in poll
    val = target(*args, **kwargs)
  File "/home/user/.pyenv/versions/cai-backend/lib/python3.10/site-packages/adobe/pdfservices/operation/internal/api/cpf_api.py", line 87, in <lambda>
    lambda: http_client.process_request(http_request=http_request,
  File "/home/user/.pyenv/versions/cai-backend/lib/python3.10/site-packages/adobe/pdfservices/operation/internal/http/http_client.py", line 42, in process_request
    if _handle_response_and_retry(response, success_status_codes,
  File "/home/user/.pyenv/versions/cai-backend/lib/python3.10/site-packages/adobe/pdfservices/operation/internal/http/http_client.py", line 105, in _handle_response_and_retry
    raise OperationException(message="Error response received for request",
adobe.pdfservices.operation.internal.exceptions.OperationException

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/user/.pyenv/versions/cai-backend/lib/python3.10/site-packages/adobe/pdfservices/operation/pdfops/extract_pdf_operation.py", line 138, in execute
    raise ServiceApiException(message=oex.error_message, error_code=oex.error_code,
adobe.pdfservices.operation.exception.exceptions.ServiceApiException: description =BAD_PDF - Unable to extract content.; requestTrackingId=L4FyeEcGNd04OEDQC44V2G8OyfW5hI0D; statusCode=400; errorCode=BAD_PDF

 

TOPICS
Bug , PDF Extract API , PDF Services API , Python SDK , REST APIs

Views

44

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
no replies

Have something to add?

Join the conversation
Resources